Package net.snowflake.client.core

## Interface SFSqlInput

All Superinterfaces:
  `SQLInput`

All Known Implementing Classes:
  `ArrowSqlInput`, `BaseSqlInput`, `JsonSqlInput`

    public interface SFSqlInput
    extends SQLInput

This interface extends the standard `SQLInput` interface to provide additional methods.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`Timestamp` `readTimestamp​(TimeZone tz)` Reads the next attribute in the stream and returns it as a `java.sql.Timestamp` object.
`static SFSqlInput` `unwrap​(SQLInput sqlInput)` Method unwrapping object of class SQLInput to object of class SfSqlInput.

### Methods inherited from interface java.sql.SQLInput

`readArray, readAsciiStream, readBigDecimal, readBinaryStream, readBlob, readBoolean, readByte, readBytes, readCharacterStream, readClob, readDate, readDouble, readFloat, readInt, readLong, readNClob, readNString, readObject, readObject, readRef, readRowId, readShort, readSQLXML, readString, readTime, readTimestamp, readURL, wasNull`

### Method Detail

#### unwrap

    static SFSqlInput unwrap​(SQLInput sqlInput)

Method unwrapping object of class SQLInput to object of class SfSqlInput.

Parameters:
  `sqlInput` - SQLInput to consider.
Returns:
  Object unwrapped to SFSqlInput class.

#### readTimestamp

    Timestamp readTimestamp​(TimeZone tz)
                     throws SQLException

Reads the next attribute in the stream and returns it as a `java.sql.Timestamp` object.

Parameters:
  `tz` - timezone to consider.
Returns:
  the attribute; if the value is SQL `NULL`, returns `null`
Throws:
  `SQLException` - if a database access error occurs
  `SQLFeatureNotSupportedException` - if the JDBC driver does not support this method
Since:
  1.2